cURL
curl --request GET \ --url https://api.mottostreaming.com/ott/platforms/v1/{platform_id} \ --header 'Authorization: Bearer <token>'
{ "platform": { "id": "<string>", "project_id": "<string>", "name": "<string>", "hosts": [ "<string>" ], "locales": [ "<string>" ], "default_locale": "<string>", "title": {}, "logo_asset_id": "<string>", "favicon_asset_id": "<string>", "colors": {}, "navbar_entries": [ { "title": {}, "url": "<string>" } ], "footer_entries": [ { "title": {}, "url": "<string>" } ], "feature_configuration": {}, "scripts": "<string>", "css": "<string>", "integrations": {}, "colors_preview": {}, "feature_configuration_preview": {}, "scripts_preview": "<string>", "css_preview": "<string>", "integrations_preview": {}, "navbar_entries_preview": [ { "title": {}, "url": "<string>" } ], "footer_entries_preview": [ { "title": {}, "url": "<string>" } ], "breakpoints": {}, "primary_domain": "<string>", "versioning": {}, "versioning_preview": {} } }
GetPlatform
Returns platform information by platform ID.
Documentation IndexFetch the complete documentation index at: https://docs.mottostreaming.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Platform is a configuration object that defines the structure of a Motto OTT platform instance.
Show child attributes